Skip to main content
GET
/
counterparty_groups
TypeScript
const response: Promise<FireblocksResponse<CounterpartyGroupsPaginatedResponse>> = fireblocks.compliance.listCounterpartyGroups(complianceApiListCounterpartyGroupsRequest);
CompletableFuture<ApiResponse<CounterpartyGroupsPaginatedResponse>> response = fireblocks.compliance().listCounterpartyGroups(pageCursor, pageSize);
response = fireblocks.compliance.list_counterparty_groups(page_cursor, page_size);
curl --request GET \
--url https://api.fireblocks.io/v1/counterparty_groups
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/counterparty_groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "groupId": "44fcead0-7053-4831-a53a-df7fb90d440f",
      "name": "APAC Financial Partners",
      "isActive": true,
      "createdAt": "2024-01-15T10:30:00Z",
      "updatedAt": "2024-01-15T10:30:00Z",
      "description": "Group for all APAC-based financial institution counterparties",
      "jurisdictionCodes": [
        "US",
        "SG"
      ]
    }
  ],
  "total": 42,
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}
{
"message": "<string>",
"code": 123
}

Query Parameters

pageCursor
string

Cursor of the required page

pageSize
integer
default:50

Maximum number of items in the page

Required range: 1 <= x <= 100

Response

A paginated list of counterparty groups

Paginated list of counterparty groups

data
object[]
required

The counterparty groups in the current page

total
integer

Total number of counterparty groups

Example:

42

next
string

Cursor for the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"